Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 971827 - Missing transitive dependencies for hibernate-search 4.3.0.CR1-redhat-wfk-2
Missing transitive dependencies for hibernate-search 4.3.0.CR1-redhat-wfk-2
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: Maven (Show other bugs)
2.3.0
Unspecified Unspecified
urgent Severity medium
: ---
: 2.4.0
Assigned To: Dave Stahl
thradec
:
Depends On: 920680
Blocks: 972765
  Show dependency treegraph
 
Reported: 2013-06-07 06:58 EDT by thradec
Modified: 2016-07-31 21:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 11:48:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hsearch dependency:tree from sources (11.65 KB, text/plain)
2013-07-01 05:00 EDT, Marek Novotny
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-28 Major Reopened Missing transitive dependencies for hibernate-search 4.3.0.CR1-redhat-wfk-2 2013-07-31 09:34:10 EDT

  None (edit)
Description thradec 2013-06-07 06:58:49 EDT
Missing transitive dependencies are:

dom4j:dom4j:1.6.1-redhat-4
org.codehaus.woodstox:woodstox-core-asl:4.1.1-redhat-2
org.slf4j:slf4j-api:1.6.1-redhat-2
Comment 1 Marek Novotny 2013-06-10 08:03:14 EDT
There are some issues with globally defined versions in hibernate-search-parent, which affects transitive dependencies as well.

Parent for hibernate-search-parent should be org.jboss:jboss-parent:10-redhat-2 instead of org.jboss:jboss-parent:9-redhat-1.

And similar change/switch for eap dependency management BOMs should be 6.1.0-redhat-2 instead of 6.0.1-redhat-2.

@David, please check all hibernate-search dependency versions if they are physically in http://download.devel.redhat.com/released/JBEAP-6/6.1.0/jboss-eap-6.1.0-maven-repository.zip.

We should use all deps from EAP 6.1.0.GA and not depend on older dependency version from 6.0.1.GA as that could require from user to install older EAP 6.0.x releases
Comment 2 Dave Stahl 2013-06-10 11:01:09 EDT
hibernate-search-4.3.0-redhat-wfk-3 has been built with updated dependencies.

slf4j: 1.6.1 -> 1.7.2-redhat-1
jboss-dependency-management-all: 6.0.1-redhat-1 -> 6.1.0-redhat-2
jboss-project-dependency-relocations: 6.0.1-redhat-1 -> 6.1.0-redhat-2
Comment 3 Marek Novotny 2013-06-13 08:41:33 EDT
Thanks David, I noticed that now org.hibernate:hibernate-search-parent:4.3.0.Final-redhat-wfk-1 is our fixed build
Comment 5 thradec 2013-07-01 04:13:26 EDT
in wfk-2.3.0.CR1 for hsearch 4.3.0.Final-redhat-wfk-2 is still missing dom4j:dom4j:1.6.1-redhat-4, the others two are fixed
Comment 6 Marek Novotny 2013-07-01 04:32:21 EDT
dom4j:dom4j:1.6.1-redhat-4 is an issue in EAP 6.1.0.GA for hibernate transitive dependencies - look at https://bugzilla.redhat.com/show_bug.cgi?id=920680
Comment 7 Marek Novotny 2013-07-01 05:00:08 EDT
Created attachment 767294 [details]
hsearch dependency:tree from sources
Comment 9 Pete Muir 2013-07-16 11:48:24 EDT
Migrated to JIRA
Comment 10 JBoss JIRA Server 2013-07-30 14:34:28 EDT
Rodney Russ <rruss@redhat.com> made a comment on jira WFK2-28

wdyt, [~manaRH] ?
Comment 11 JBoss JIRA Server 2013-07-31 04:30:37 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira WFK2-28

we can close it as we have in WFK 2.3.0 hibernate-search 4.3.0.Final-redhat-wfk-2 and that missing dom4j:dom4j:1.6.1-redhat-4 reported in bz wasn't found by me as relevant. Others like org.codehaus.woodstox:woodstox-core-asl:4.1.1-redhat-2 and org.slf4j:slf4j-api:1.6.1-redhat-2 was fixed for WFK 2.3.0.CR1
Comment 12 JBoss JIRA Server 2013-07-31 04:31:05 EDT
Marek Novotny <mnovotny@redhat.com> updated the status of jira WFK2-28 to Closed
Comment 13 JBoss JIRA Server 2013-07-31 09:34:10 EDT
Marek Novotny <mnovotny@redhat.com> updated the status of jira WFK2-28 to Reopened
Comment 14 JBoss JIRA Server 2013-07-31 09:34:10 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira WFK2-28

reopening to change some fields

Note You need to log in before you can comment on or make changes to this bug.